Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List memberships

GET/workspaces/{organizationId}/memberships
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Memberships list

membershipsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
userIdstringrequired
rolestringrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/memberships' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "memberships": [
    {
      "id": "string",
      "organizationId": "string",
      "userId": "string",
      "role": "string",
      "createdAt": "string"
    }
  ]
}

Was this page helpful?